Bug 1030987 (CVE-2013-4567, CVE-2013-4568, CVE-2013-4572) - CVE-2013-4567 CVE-2013-4568 CVE-2013-4572 mediawiki: security releases 1.21.3, 1.20.8, and 1.19.9
Summary: CVE-2013-4567 CVE-2013-4568 CVE-2013-4572 mediawiki: security releases 1.21.3...
Status: CLOSED ERRATA
Alias: CVE-2013-4567, CVE-2013-4568, CVE-2013-4572
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130819,repor...
Keywords: Security
Depends On: 1030989 1030990 1030991 1030993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-15 12:58 UTC by Ratul Gupta
Modified: 2015-09-05 19:09 UTC (History)
6 users (show)

Fixed In Version: mediawiki 1.21.3, mediawiki 1.20.8, mediawiki 1.19.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 19:09:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ratul Gupta 2013-11-15 12:58:01 UTC
Two flaws were fixed in the recently-released MediaWiki 1.21.3, 1.20.8, and 1.19.9 releases:

* Kevin Israel (Wikipedia user PleaseStand) identified and reported two vectors for injecting Javascript in CSS that bypassed MediaWiki's blacklist (CVE-2013-4567, CVE-2013-4568).
https://bugzilla.wikimedia.org/show_bug.cgi?id=55332

* Internal review while debugging a site issue discovered that MediaWiki and the CentralNotice extension were incorrectly setting cache headers when a user was autocreated, causing the user's session cookies to be cached, and returned to other users (CVE-2013-4572).
https://bugzilla.wikimedia.org/show_bug.cgi?id=53032

References:
https://bugs.gentoo.org/show_bug.cgi?id=491278
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729629

Comment 1 Ratul Gupta 2013-11-15 13:00:03 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1030989]
Affects: epel-5 [bug 1030991]

Comment 2 Ratul Gupta 2013-11-15 13:00:28 UTC
Created mediawiki119 tracking bugs for this issue:

Affects: fedora-18 [bug 1030990]
Affects: epel-6 [bug 1030993]

Comment 3 Fedora Update System 2013-12-02 09:33:11 UTC
mediawiki-1.19.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-12-02 09:35:50 UTC
mediawiki-1.21.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-12-06 00:33:04 UTC
mediawiki119-1.19.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-12-14 03:35:00 UTC
mediawiki-1.21.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.